Wind River Support Network

HomeDefectsLIN4-23964
Fixed

LIN4-23964 : Security Advisory - Linux - CVE-2011-2213

Created: Sep 8, 2011    Updated: May 18, 2015
Resolved Date: Nov 1, 2011
Previous ID: LIN3-15521
Found In Version: 4.0
Fix Version: 4.3
Severity: Severe
Applicable for: Wind River Linux 4
Component/s: Userspace

Description

The inet_diag_bc_audit function in net/ipv4/inet_diag.c in the Linux kernel before 2.6.39.3 does not properly audit INET_DIAG bytecode, which allows local users to cause a denial of service (kernel infinite loop) via crafted INET_DIAG_REQ_BYTECODE instructions in a netlink message, as demonstrated by an INET_DIAG_BC_JMP instruction with a zero yes value, a different vulnerability than CVE-2010-3880.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2011-2213

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online